Выполнение произвольного кода в PHP

Дата публикации:
03.02.2012
Дата изменения:
06.02.2012
Всего просмотров:
5726
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:10/Temporal:7.8
CVE ID:
CVE-2012-0830
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
PHP 5.3.x
Уязвимые версии: PHP 5.3.9

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за некорректно исправления уязвимости в функции генерации хеша в функции php_register_variable_ex() в файле php_variables.c. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код на целевой системе.

URL производителя: www.php.net

Решение: Установите последнюю версию 5.3.10 с сайта производителя.

Ссылки: http://www.php.net/archive/2012.php#id2012-02-02-1
https://gist.github.com/1725489
Журнал изменений: 03.02.2012
Внесено изменение в раздел Эксплуатабельность.

или введите имя

CAPTCHA